For the complete documentation index, see llms.txt. This page is also available as Markdown.

Stammdaten

Die Endpunkte dieser Endpunktberechtigung finden Sie im Controller "DunningRead".

Mahn- und Klagevorfall abrufen

Hinweise zur Funktion

Bitte beachten Sie, dass "RentAccountId" und "DunningRentAccountId" nicht deckungsgleich sind. Sie kommen über diese ID nicht auf das Vertragskonto.

"DunningRentAccount" beschreibt einen Container, der verschiedene- Mahn und Klagevorfälle umfasst, ansonsten aber ohne Inhalt ist und deshalb keinen eigenen Endpunkt besitzt. Eine Verbindung zum Nutzungsvertrag wird demnächst bereitgestellt.

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
useUnitIdinteger · int32Optional
useUnitIdNumstringOptional
economicUnitIdinteger · int32Optional
economicUnitIdNumstringOptional
licenseAgreementIdinteger · int32Optional
licenseAgreementIdNumstringOptional
contractorIdinteger · int32Optional
contractorIdNumstringOptional
managementIdinteger · int32Optional
responsibleOfficialIdinteger · int32Optional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
Codestring · nullableOptional
ValidFromstring · dateOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ValidTostring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ProceduralNumberstring · nullableOptional
InLegalDepartmentSincestring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Descriptionstring · nullableOptional
DunningRentAccountIdinteger · int32Optional
get/openwowi/v1.2/DunningRead/DunningIncident
GET /openwowi/v1.2/DunningRead/DunningIncident HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Code": "text",
    "ValidFrom": "2025-10-20",
    "ValidTo": "2025-10-20",
    "Status": {
      "Id": 1,
      "Code": "text"
    },
    "ProceduralNumber": "text",
    "InLegalDepartmentSince": "2025-10-20",
    "Description": "text",
    "SpecialFeaures": {
      "Id": 1,
      "Code": "text"
    },
    "DebtorProceeding": {
      "Id": 1,
      "PersonId": 1,
      "LocalCourt": "text",
      "ResolutionNumber": "text",
      "ResolutionValidFrom": "2025-10-20",
      "ResolutionValidTo": "2025-10-20",
      "LiquidatorId": 1,
      "Info": "text",
      "DebtorProceedingsType": {
        "Id": 1,
        "Code": "text"
      },
      "TrustAccount": {
        "Id": 1,
        "Iban": "text",
        "Bic": "text",
        "AccountHolder": "text",
        "ValidFrom": "2025-10-20",
        "ValidTo": "2025-10-20",
        "BankAccountType": {
          "Id": 1,
          "Code": "text"
        }
      }
    },
    "DunningProcedures": [
      {
        "Id": 1,
        "DunningDate": "2025-10-20",
        "Description": "text",
        "Deadline": "2025-10-20",
        "ObjectionDate": "2025-10-20",
        "Amount": 1,
        "ReminderFee": 1,
        "ReminderInterestAmount": 1,
        "ResponsibleLawyerId": 1,
        "DistrictCourtId": 1,
        "DunningProcedure": {
          "Id": 1,
          "Code": "text"
        },
        "DunningProcedureNextStep": {
          "Id": 1,
          "Code": "text"
        }
      }
    ],
    "DunningRentAccountId": 1,
    "DunningLevelResets": [
      {
        "Id": 1,
        "FromLevel": 1,
        "ToLevel": 1,
        "Date": "2025-10-20"
      }
    ],
    "DunningLevelRaises": [
      {
        "Id": 1,
        "Date": "2025-10-20"
      }
    ]
  }
]

Mahn- und Klage Maßnahme abrufen

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
Codestring · nullableOptional
DunningLevelShortinteger · int32Optional
get/openwowi/v1.2/DunningRead/DunningProcedure
GET /openwowi/v1.2/DunningRead/DunningProcedure HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Code": "text",
    "DunningLevelShort": 1,
    "DunningLevel": {
      "Id": 1,
      "Code": "text"
    },
    "DunningProcedureType": {
      "Id": 1,
      "Code": "text"
    },
    "DunningProcedureClassification": {
      "Id": 1,
      "Code": "text"
    },
    "DunningProcedureNextStep": {
      "Id": 1,
      "Code": "text"
    }
  }
]

Rechtsanwälte

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
personIdinteger · int32Optional
personNumberstringOptional
includeMainAddressbooleanOptionalDefault: false
includePersonAddressesbooleanOptionalDefault: false
includeMainCommunicationbooleanOptionalDefault: false
includePersonBankAccountsbooleanOptionalDefault: false
includePersonCommunicationsbooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
get/openwowi/v1.2/DunningRead/Lawyer
GET /openwowi/v1.2/DunningRead/Lawyer HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Person": {
      "Id": 1,
      "IdNum": "text",
      "Shortname": "text",
      "Name": "text",
      "NodeId": 1,
      "TaxNumber": "text",
      "TaxIdentificationNumber": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "IsNaturalPerson": true,
      "NaturalPerson": {
        "Title": "text",
        "FirstName": "text",
        "LastName": "text",
        "BirthName": "text",
        "CareOf": "text",
        "BirthDate": "2025-10-20",
        "DeathDate": "2026-01-01T00:00:00.000Z",
        "Gender": {
          "Id": 1,
          "Name": "text"
        },
        "MaritalType": {
          "Id": 1,
          "Name": "text"
        },
        "Nationality": {
          "Id": 1,
          "Name": "text",
          "Code": "text"
        },
        "PersonInCare": {
          "Id": 1,
          "IdNum": "text"
        },
        "ContactFor": [
          {
            "Id": 1,
            "IdNum": "text",
            "LongName1": "text",
            "LongName2": "text"
          }
        ]
      },
      "LegalPerson": {
        "LongName1": "text",
        "LongName2": "text",
        "VatId": "text",
        "CommercialRegisterNumber": "text",
        "CommercialRegisterTown": "text",
        "ContractPersons": [
          {
            "Id": 1,
            "IdNum": "text",
            "FirstName": "text",
            "LastName": "text"
          }
        ]
      },
      "Addresses": [
        {
          "Id": 1,
          "Zip": "text",
          "Town": "text",
          "Street": "text",
          "HouseNumber": "text",
          "HouseNumberAddition": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "StreetComplete": "text",
          "HouseNumberComplete": "text",
          "MainAddress": true,
          "AddressType": {
            "Id": 1,
            "Name": "text"
          },
          "Country": {
            "Id": 1,
            "Name": "text",
            "Code": "text"
          }
        }
      ],
      "Communications": [
        {
          "Id": 1,
          "RelatedAddressId": 1,
          "Content": "text",
          "Explanation": "text",
          "RelatedAddress": "text",
          "CommunicationType": {
            "Id": 1,
            "Name": "text"
          }
        }
      ],
      "BankAccounts": [
        {
          "Id": 1,
          "Iban": "text",
          "Bic": "text",
          "AccountHolder": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "BankAccountType": {
            "Id": 1,
            "Code": "text"
          },
          "BankAccountId": 1,
          "BankAccountUsageType": {
            "Id": 1,
            "Code": "text"
          }
        }
      ],
      "FirstEmailCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstLandlinePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstMobilePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      }
    },
    "DefaultAddress": {
      "Id": 1,
      "Zip": "text",
      "Town": "text",
      "Street": "text",
      "HouseNumber": "text",
      "HouseNumberAddition": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "StreetComplete": "text",
      "HouseNumberComplete": "text",
      "MainAddress": true,
      "AddressType": {
        "Id": 1,
        "Name": "text"
      },
      "Country": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      }
    },
    "DefaultBankaccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text",
      "AccountHolder": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "BankAccountType": {
        "Id": 1,
        "Code": "text"
      },
      "BankAccountId": 1,
      "BankAccountUsageType": {
        "Id": 1,
        "Code": "text"
      }
    }
  }
]

Amtsgerichte

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
personIdinteger · int32Optional
personNumberstringOptional
includeMainAddressbooleanOptionalDefault: false
includePersonAddressesbooleanOptionalDefault: false
includeMainCommunicationbooleanOptionalDefault: false
includePersonBankAccountsbooleanOptionalDefault: false
includePersonCommunicationsbooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
get/openwowi/v1.2/DunningRead/DistrictCourt
GET /openwowi/v1.2/DunningRead/DistrictCourt HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Person": {
      "Id": 1,
      "IdNum": "text",
      "Shortname": "text",
      "Name": "text",
      "NodeId": 1,
      "TaxNumber": "text",
      "TaxIdentificationNumber": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "IsNaturalPerson": true,
      "NaturalPerson": {
        "Title": "text",
        "FirstName": "text",
        "LastName": "text",
        "BirthName": "text",
        "CareOf": "text",
        "BirthDate": "2025-10-20",
        "DeathDate": "2026-01-01T00:00:00.000Z",
        "Gender": {
          "Id": 1,
          "Name": "text"
        },
        "MaritalType": {
          "Id": 1,
          "Name": "text"
        },
        "Nationality": {
          "Id": 1,
          "Name": "text",
          "Code": "text"
        },
        "PersonInCare": {
          "Id": 1,
          "IdNum": "text"
        },
        "ContactFor": [
          {
            "Id": 1,
            "IdNum": "text",
            "LongName1": "text",
            "LongName2": "text"
          }
        ]
      },
      "LegalPerson": {
        "LongName1": "text",
        "LongName2": "text",
        "VatId": "text",
        "CommercialRegisterNumber": "text",
        "CommercialRegisterTown": "text",
        "ContractPersons": [
          {
            "Id": 1,
            "IdNum": "text",
            "FirstName": "text",
            "LastName": "text"
          }
        ]
      },
      "Addresses": [
        {
          "Id": 1,
          "Zip": "text",
          "Town": "text",
          "Street": "text",
          "HouseNumber": "text",
          "HouseNumberAddition": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "StreetComplete": "text",
          "HouseNumberComplete": "text",
          "MainAddress": true,
          "AddressType": {
            "Id": 1,
            "Name": "text"
          },
          "Country": {
            "Id": 1,
            "Name": "text",
            "Code": "text"
          }
        }
      ],
      "Communications": [
        {
          "Id": 1,
          "RelatedAddressId": 1,
          "Content": "text",
          "Explanation": "text",
          "RelatedAddress": "text",
          "CommunicationType": {
            "Id": 1,
            "Name": "text"
          }
        }
      ],
      "BankAccounts": [
        {
          "Id": 1,
          "Iban": "text",
          "Bic": "text",
          "AccountHolder": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "BankAccountType": {
            "Id": 1,
            "Code": "text"
          },
          "BankAccountId": 1,
          "BankAccountUsageType": {
            "Id": 1,
            "Code": "text"
          }
        }
      ],
      "FirstEmailCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstLandlinePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstMobilePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      }
    },
    "DefaultAddress": {
      "Id": 1,
      "Zip": "text",
      "Town": "text",
      "Street": "text",
      "HouseNumber": "text",
      "HouseNumberAddition": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "StreetComplete": "text",
      "HouseNumberComplete": "text",
      "MainAddress": true,
      "AddressType": {
        "Id": 1,
        "Name": "text"
      },
      "Country": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      }
    },
    "DefaultBankaccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text",
      "AccountHolder": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "BankAccountType": {
        "Id": 1,
        "Code": "text"
      },
      "BankAccountId": 1,
      "BankAccountUsageType": {
        "Id": 1,
        "Code": "text"
      }
    }
  }
]

Insolvenzverwalter

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
idinteger · int32Optional
personIdinteger · int32Optional
personNumberstringOptional
includeMainAddressbooleanOptionalDefault: false
includePersonAddressesbooleanOptionalDefault: false
includeMainCommunicationbooleanOptionalDefault: false
includePersonBankAccountsbooleanOptionalDefault: false
includePersonCommunicationsbooleanOptionalDefault: false
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
get/openwowi/v1.2/DunningRead/Liquidator
GET /openwowi/v1.2/DunningRead/Liquidator HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Person": {
      "Id": 1,
      "IdNum": "text",
      "Shortname": "text",
      "Name": "text",
      "NodeId": 1,
      "TaxNumber": "text",
      "TaxIdentificationNumber": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "IsNaturalPerson": true,
      "NaturalPerson": {
        "Title": "text",
        "FirstName": "text",
        "LastName": "text",
        "BirthName": "text",
        "CareOf": "text",
        "BirthDate": "2025-10-20",
        "DeathDate": "2026-01-01T00:00:00.000Z",
        "Gender": {
          "Id": 1,
          "Name": "text"
        },
        "MaritalType": {
          "Id": 1,
          "Name": "text"
        },
        "Nationality": {
          "Id": 1,
          "Name": "text",
          "Code": "text"
        },
        "PersonInCare": {
          "Id": 1,
          "IdNum": "text"
        },
        "ContactFor": [
          {
            "Id": 1,
            "IdNum": "text",
            "LongName1": "text",
            "LongName2": "text"
          }
        ]
      },
      "LegalPerson": {
        "LongName1": "text",
        "LongName2": "text",
        "VatId": "text",
        "CommercialRegisterNumber": "text",
        "CommercialRegisterTown": "text",
        "ContractPersons": [
          {
            "Id": 1,
            "IdNum": "text",
            "FirstName": "text",
            "LastName": "text"
          }
        ]
      },
      "Addresses": [
        {
          "Id": 1,
          "Zip": "text",
          "Town": "text",
          "Street": "text",
          "HouseNumber": "text",
          "HouseNumberAddition": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "StreetComplete": "text",
          "HouseNumberComplete": "text",
          "MainAddress": true,
          "AddressType": {
            "Id": 1,
            "Name": "text"
          },
          "Country": {
            "Id": 1,
            "Name": "text",
            "Code": "text"
          }
        }
      ],
      "Communications": [
        {
          "Id": 1,
          "RelatedAddressId": 1,
          "Content": "text",
          "Explanation": "text",
          "RelatedAddress": "text",
          "CommunicationType": {
            "Id": 1,
            "Name": "text"
          }
        }
      ],
      "BankAccounts": [
        {
          "Id": 1,
          "Iban": "text",
          "Bic": "text",
          "AccountHolder": "text",
          "ValidFrom": "2025-10-20",
          "ValidTo": "2025-10-20",
          "BankAccountType": {
            "Id": 1,
            "Code": "text"
          },
          "BankAccountId": 1,
          "BankAccountUsageType": {
            "Id": 1,
            "Code": "text"
          }
        }
      ],
      "FirstEmailCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstLandlinePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      },
      "FirstMobilePhoneCommunication": {
        "Id": 1,
        "RelatedAddressId": 1,
        "Content": "text",
        "Explanation": "text",
        "RelatedAddress": "text",
        "CommunicationType": {
          "Id": 1,
          "Name": "text"
        }
      }
    },
    "DefaultAddress": {
      "Id": 1,
      "Zip": "text",
      "Town": "text",
      "Street": "text",
      "HouseNumber": "text",
      "HouseNumberAddition": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "StreetComplete": "text",
      "HouseNumberComplete": "text",
      "MainAddress": true,
      "AddressType": {
        "Id": 1,
        "Name": "text"
      },
      "Country": {
        "Id": 1,
        "Name": "text",
        "Code": "text"
      }
    },
    "DefaultBankaccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text",
      "AccountHolder": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "BankAccountType": {
        "Id": 1,
        "Code": "text"
      },
      "BankAccountId": 1,
      "BankAccountUsageType": {
        "Id": 1,
        "Code": "text"
      }
    }
  }
]

Schuldnerverfahren

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
personIdinteger · int32Optional
personNumberstringOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
PersonIdinteger · int32Optional
LocalCourtstring · nullableOptional
ResolutionNumberstring · nullableOptional
ResolutionValidFromstring · dateOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
ResolutionValidTostring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
LiquidatorIdinteger · int32 · nullableOptional
Infostring · nullableOptional
get/openwowi/v1.2/DunningRead/DebtorProceeding
GET /openwowi/v1.2/DunningRead/DebtorProceeding HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "PersonId": 1,
    "LocalCourt": "text",
    "ResolutionNumber": "text",
    "ResolutionValidFrom": "2025-10-20",
    "ResolutionValidTo": "2025-10-20",
    "LiquidatorId": 1,
    "Info": "text",
    "DebtorProceedingsType": {
      "Id": 1,
      "Code": "text"
    },
    "TrustAccount": {
      "Id": 1,
      "Iban": "text",
      "Bic": "text",
      "AccountHolder": "text",
      "ValidFrom": "2025-10-20",
      "ValidTo": "2025-10-20",
      "BankAccountType": {
        "Id": 1,
        "Code": "text"
      }
    }
  }
]

Zuletzt aktualisiert